import {Module, ValidationPipe} from '@nestjs/common';
import { UsersService } from './users.service';
import {TypeOrmModule} from "@nestjs/typeorm";
import {Song} from "@/song/song.entity";
import {AlbumModule} from "@/album/album.module";
import {User} from "@/users/user.entity";
import {APP_PIPE} from "@nestjs/core";

@Module({
  imports: [
      TypeOrmModule.forFeature([User])
  ],
  providers: [
      UsersService,
    {
      provide: APP_PIPE,
      useValue: new ValidationPipe({
        whitelist: true,
        forbidNonWhitelisted: true,
        transform: true,
      }),
    },
  ],
  exports: [UsersService, TypeOrmModule],
})
export class UsersModule {}
